#
# spec file for package kexec-tools (Version 1.101)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           kexec-tools
License:        GPL
Group:          System/Kernel
Requires:       %insserv_prereq %fillup_prereq
Autoreqprov:    on
Summary:        Tools for fast kernel loading
Version:        1.101
Release:        32.14
Source:         %{name}-%{version}.tar.bz2
Source1:        kdump
Source2:        sysconfig.kdump
Source3:        gdbinit.kdump
Source4:        gdb-kdump
Source5:        README.SUSE
Source6:        kexec.8
Patch:          kexec-tools-1.101-kdump7.patch
Patch1:         kexec-tools-configure-fix.diff
Patch2:         kexec-tools-x86-warning-fix.diff
Patch3:         kexec-tools-ia64-fix.diff
Patch4:         kexec-tools-s390-fix.diff
Patch5:         kexec-tools-ppc64-rm-platform-prop-fix.patch
Patch6:         ppc64-kdump-tools-ELF-header-fix.patch
Patch7:         kexec-tools-x86_64-acpi-nvs-fix.patch
URL:            http://www.xmission.com/~ebiederm/files/kexec/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kexec is a user space utiltity for loading another kernel and asking
the currently running kernel to do something with it. A currently
running kernel may be asked to start the loaded kernel on reboot, or to
start the loaded kernel after it panics.



Authors:
--------
    Eric Biederman <ebiederm@xmission.com>
    Albert Herranz
    Jesse Barnes <jbarnes@sgi.com>
    Khalid Aziz <khalid.aziz@hp.com>
    Hariprasad Nellitheertha <hari@in.ibm.com>
    Tim Deegan <tjd21@cl.cam.ac.uk>

%debug_package
%prep
%setup -q
%patch -p1
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1
%{?suse_update_config -f}
cp %{SOURCE5} .

%build
autoreconf -fi
./configure --prefix=/ --sbindir=/sbin --libdir=/%_lib
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -c -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
ln -s /etc/init.d/kdump $RPM_BUILD_ROOT/sbin/rckdump
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -c -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.kdump
%ifarch %ix86 x86_64
sed -i 's@^\(KEXEC_OPTIONS="\)\(.*"[[:blank:]]*$\)@\1 --args-linux \2@' $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.kdump
%endif
# install gdb helpers
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}
install -c -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}

%post
%{fillup_and_insserv -n kdump kdump}

%preun
%stop_on_removal kdump

%postun
%restart_on_update kdump
%insserv_cleanup

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING News TODO doc
%doc README.SUSE
%doc %{_mandir}/man*/*
/sbin/*
%{_bindir}/*
%{_datadir}/gdbinit.*
%ifarch %ix86 x86_64
/%_lib/kexec-tools
%endif
/etc/init.d/kdump
/var/adm/fillup-templates/sysconfig.kdump

%changelog -n kexec-tools
* Thu Jun 22 2006 - tiwai@suse.de
- fix kexec to reserve ACPI NVS area (#179093)
- add more description about chkconfig and kdump service
  (#183017)
* Fri Jun 16 2006 - tiwai@suse.de
- add irqpoll boot option for i386 and x86_64 for more robust
  kdump (#183017)
* Thu Jun 01 2006 - tiwai@suse.de
- update README.SUSE for more precise description about crash
  and debug kernel.
* Tue May 30 2006 - tiwai@suse.de
- ppc64 kdump ELF header fix for power 4 box (#175128).
* Mon May 22 2006 - tiwai@suse.de
- added the missing man page for kexec (#175084).
- add sleep after reboot in kdump init script for avoiding
  confliction with script single (#171332)
* Fri May 19 2006 - olh@suse.de
- unconditionally add sysrq=1 for kdump boots, nothing to lose
* Fri May 19 2006 - olh@suse.de
- remove crashkernel= cmdline also if only the size is given
  handle m as well as M because memparse() handles both
* Tue May 02 2006 - tiwai@suse.de
- update/improve README.SUSE
- fix the default value in sysconfig.kdump
- add elevator=deadline to the boot parameter of kdump kernel
  to save memory footprint (#170591)
* Fri Apr 28 2006 - olh@suse.de
- use df -P to print all data for a mount point in a single line
  long device node names will cause 2 lines in df output
* Wed Apr 26 2006 - olh@suse.de
- linux,platform properties were removed from kernel 2.6.17
  assume non-LPAR if some properties do no exist in the device-tree
  (164993 - LTC23056)
* Wed Apr 26 2006 - olh@suse.de
- set /proc/sys/kernel/panic_on_oops to actually trigger a dump
* Wed Mar 08 2006 - olh@suse.de
- add --args-linux only on intel
  copy vmcore with --sparse, maybe it saves a few bytes.
* Wed Feb 22 2006 - tiwai@suse.de
- updated to kdump7 patch.
* Wed Feb 15 2006 - tiwai@suse.de
- fixed gdb-kdump script (#151001)
* Mon Feb 13 2006 - tiwai@suse.de
- fix for ppc64 (#149576)
* Sun Feb 12 2006 - tiwai@suse.de
- added the system check before dumping
- added README.SUSE
- added gdb-kdump helper script
* Thu Feb 09 2006 - tiwai@suse.de
- fixed Default-Start in kdump init script.
- fixed RequiredStart in sysconfig/kdump.
* Wed Feb 08 2006 - tiwai@suse.de
- changed the default values of KDUMP_IMMEDIATE_REBOOT and
  KDUMP_RUNLEVEL (#149140).
* Tue Feb 07 2006 - tiwai@suse.de
- added missing preun and postun sections.
* Mon Feb 06 2006 - tiwai@suse.de
- fixed the messages from kdump to use suse rc macros
- added $KDUMP_RUNLEVEL to /etc/sysconfig/kdump for specifying
  the runlevel to boot kdump kernel.
- added /sbin/rckdump
- fixed a typo in kdump init script
* Fri Feb 03 2006 - tiwai@suse.de
- sync with mainstream dump6 patch:
  most of ppc64 patches were merged there.
  new fixes included: vmcore copy fix for x86_64 and ext_mem_k
  calculation fix for i386
- added KEXEC_TRANSFER sysconfig variable for user-defined
  dump action.
* Fri Jan 27 2006 - tiwai@suse.de
- added kdump init script and sysconfig.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - olh@suse.de
- update ppc64 kdump support
* Thu Jan 05 2006 - tiwai@suse.de
- more fix for ppc64 kdump
- fix malloc size
* Thu Dec 15 2005 - tiwai@suse.de
- use the latest kdump patch.
* Mon Dec 12 2005 - tiwai@suse.de
- initial version: 1.101
